<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.tasol.tataEmpSystem">

    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.BLUETOOTH" />
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="ANDROID.PERMISSION.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />

    <uses-feature android:name="android.hardware.camera" />
    <uses-feature android:name="android.hardware.camera.autofocus" />
    <uses-feature android:name="android.hardware.camera.front" />
    <uses-feature android:name="android.hardware.camera.front.autofocus" />

    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.INTERNET" />

    <uses-feature
        android:glEsVersion="0x00020000"
        android:required="true" />

    <permission
        android:name="com.tasol.tataEmpSystem.permission.MAPS_RECEIVE"
        android:protectionLevel="signature" />

    <uses-permission android:name="com.tasol.tataEmpSystem.permission.MAPS_RECEIVE" />

    <application
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:largeHeap="true"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">

        <!--
                <receiver
                    android:name=".broadcast.NetworkReceiver"
                    android:enabled="true">
                    <intent-filter>

                        &lt;!&ndash; Intent filters for broadcast receiver &ndash;&gt;
                        <action android:name="android.net.conn.CONNECTIVITY_CHANGE" />
                        <action android:name="android.net.wifi.WIFI_STATE_CHANGED" />
                        <action android:name="android.net.wifi.STATE_CHANGE" />
                    </intent-filter>
                </receiver>
        -->


        <activity
            android:name=".DashboardActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".MainActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".VerificationActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".SplashActivity"
            android:screenOrientation="portrait">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".LoginActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".OpenCvRecognizeActivity"
            android:screenOrientation="portrait" />

        <meta-data
            android:name="io.fabric.ApiKey"
            android:value="e7094d925d86c7020b2b1c2239e5052de1400322" />
        <meta-data
            android:name="com.google.android.gms.version"
            android:value="@integer/google_play_services_version" />
        <meta-data
            android:name="com.google.android.maps.v2.API_KEY"
            android:value="AIzaSyABK0JisVyQ2fkYvNxmh7XNOxQMgCAuvns" />

        <activity
            android:name=".KairosActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".StartupActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".KairosApiCallingActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".KairosDashboardActivity"
            android:screenOrientation="portrait" />

        <service android:name=".services.FilledAttendaceService" />
        <service android:name=".services.StoreLocuserAttendanceService" />

        <activity
            android:name=".NewUserActivity"
            android:screenOrientation="portrait" />
        <activity android:name=".MapFullScreenActivity" />
        <!--
                <activity android:name=".TakeAttendanceActivity"></activity>
        -->
        <service android:name=".GLS_COLLAGE.firebase.FireBaseMessagingService">
            <intent-filter>
                <action android:name="com.google.firebase.MESSAGING_EVENT" />
            </intent-filter>
        </service>
        <service android:name=".GLS_COLLAGE.firebase.FireBaseInstanceIDService">
            <intent-filter>
                <action android:name="com.google.firebase.INSTANCE_ID_EVENT" />
            </intent-filter>
        </service>
    </application>

</manifest>